module.exports = {
  settings: {
    react: {
      version: "detect"
    }
  },
  env: {
    browser: true,
    es2021: true,
    node: true
  },
  extends: [
    "eslint:recommended",
    "plugin:react/recommended",
    "prettier",
    "plugin:prettier/recommended",
    "plugin:@typescript-eslint/eslint-recommended",
    "plugin:@typescript-eslint/recommended"
  ],
  parser: "@typescript-eslint/parser",
  parserOptions: {
    ecmaFeatures: {
      jsx: true
    },
    ecmaVersion: 2020,
    sourceType: "module"
  },
  plugins: ["react", "prettier", "jsx-a11y", "import", "@typescript-eslint"],
  rules: {
    "@typescript-eslint/no-unused-vars": ["off"],
    "no-console": "off",
    "import/first": "error",
    "react/prop-types": 0,
    "linebreak-style": [
      "error",
      process.platform === "win32" ? "windows" : "unix"
    ],
    "prettier/prettier": "off",
    "arrow-body-style": "off",
    "prefer-arrow-callback": "off",
    "react/react-in-jsx-scope": "off",
    "@typescript-eslint/no-var-requires": "off",
    "@typescript-eslint/ban-ts-comment": "off",
    "@typescript-eslint/no-explicit-any": "off"
    // "no-restricted-imports": [
    //   "error",
    //   {
    //     paths: [
    //       {
    //         name: "@mui/material",
    //         message: "No named import from mui material"
    //       },
    //       {
    //         name: "@mui/system",
    //         message: "No named import from mui system"
    //       }
    //     ]
    //   }
    // ]
  }
};
